//##protect##"FileHeader"
/** @file Read8DigitalInputs.c
 *
 *  @authors S. Beuque, C. Guinot, J. Krauth, N. Reibel, J. Rose, L. Sartory, S. Weber
 *  @date    Creation: 03.12.2012
 *  @date    $LastChangedDate: 2012-12-07 10:36:45 +0100 (Fr, 07. Dez 2012) $
 *  @version $LastChangedRevision: 3640 $
 *
 *  @par DESCRIPTION
 *  Reads eight digital inputs of the board 
 *
 *  @par LICENCE
 *  @verbatim
 *  Copyright (C) 2009 - 2012 ADDI-DATA GmbH
 *
 *  ADDI-DATA GmbH
 *  Airpark Business Center
 *  Airport Boulevard B210
 *  77836 Rheinmnster
 *  Germany
 *  Tel: +49(0)7229/1847-0    |  Fax: +49(0)7229/1847-200
 *  http://www.addi-data-com  |  info@addi-data.com
 *  @endverbatim
 **/
//##protect##"FileHeader"

#include "StdAfx.h"

//##protect##"Read8DigitalInputs_Head"
//##protect##"Read8DigitalInputs_Head"

int _tmain(int argc, _TCHAR *argv[])
{
	INT    i_ReturnValue = 0;
	HANDLE h_BoardHandle = NULL;
//##protect##"Read8DigitalInputs_VariablesDeclaration"
	BYTE   b_Value = 0;
//##protect##"Read8DigitalInputs_VariablesDeclaration"

	UNREFERENCED_PARAMETER(argc);
	UNREFERENCED_PARAMETER(argv);

	printf("/****************************************************************************\\\n"
	       "|*                        Read8DigitalInputs sample                         *|\n"
	       "|****************************************************************************|\n"
	       "|* Reads eight digital inputs of the board                                  *|\n"
	       "\\****************************************************************************/\n\n");

//##protect##"Read8DigitalInputs_Start"
//##protect##"Read8DigitalInputs_Start"

	i_ReturnValue = i_Utils_OpenBoard(&h_BoardHandle);
	if (i_ReturnValue != 0)
	{
		fprintf(stderr, "i_Utils_OpenBoard failed: %d\n", i_ReturnValue);
		_getch();
		return i_ReturnValue;
	}

//##protect##"Read8DigitalInputs_Body"
	do
	{
		i_ReturnValue = i_PCIe1516_Read8DigitalInputs(h_BoardHandle, &b_Value);
		if (i_ReturnValue == 0)
			printf("\rValue of the digital inputs : 0x%-2x", b_Value);
		else
		{
			fprintf(stderr, "%s \n", pc_PCIe1516_GetLastError(h_BoardHandle));
			i_PCIe1516_CloseBoard(h_BoardHandle);
			_getch();
			return i_ReturnValue;
		}
	} while (!_kbhit());
	// Catch the previous _kbhit
	_getch();
//##protect##"Read8DigitalInputs_Body"

	i_ReturnValue = i_PCIe1516_CloseBoard(h_BoardHandle);
	if (i_ReturnValue != 0)
	{
		fprintf(stderr, "i_PCIe1516_CloseBoard failed: %d\n", i_ReturnValue);
		_getch();
		return i_ReturnValue;
	}

//##protect##"Read8DigitalInputs_End"
//##protect##"Read8DigitalInputs_End"

	printf("\nPress any key to exit the sample...\n");
	_getch();
	return i_ReturnValue;
}
