//##protect##"FileHeader"
/** @file PCIe1516_LabView.h
 *
 *  @authors S. Beuque, C. Guinot, J. Krauth, N. Reibel, J. Rose, L. Sartory, S. Weber
 *  @date    Creation: 07.12.2012
 *  @date    $LastChangedDate: 2013-02-18 15:44:16 +0100 (Mo, 18. Feb 2013) $
 *  @version $LastChangedRevision: 3873 $
 *
 *  @par DESCRIPTION
 *  xPCIe1516 LabView header file 
 *
 *  @par LICENCE
 *  @verbatim
 *  Copyright (C) 2009 - 2012 ADDI-DATA GmbH
 *
 *  ADDI-DATA GmbH
 *  Airpark Business Center
 *  Airport Boulevard B210
 *  77836 Rheinmnster
 *  Germany
 *  Tel: +49(0)7229/1847-0    |  Fax: +49(0)7229/1847-200
 *  http://www.addi-data-com  |  info@addi-data.com
 *  @endverbatim
 **/
//##protect##"FileHeader"

//##protect##"LabViewHeader_Begin"
//##protect##"LabViewHeader_Begin"

short int __stdcall i_PCIe1516_GetNumberOfBoards(unsigned __int8 *nbrOfBoards);
short int __stdcall i_PCIe1516_GetBoardInformation(unsigned __int8 boardIndex, unsigned long int identifierStringSize, char *identifier, unsigned long int *uiNumber, unsigned long int *deviceNumber, unsigned long int *busNumber, unsigned long int *baseAddress0, unsigned long int *baseAddress1, unsigned long int *baseAddress2, unsigned long int *baseAddress3, unsigned __int8 *interrupt);
short int __stdcall i_PCIe1516_OpenBoardViaIndex(unsigned __int8 boardIndex, unsigned long int *deviceHandle);
short int __stdcall i_PCIe1516_OpenBoardViaIdentifier(char identifier[], unsigned long int *deviceHandle);
short int __stdcall i_PCIe1516_CloseBoard(unsigned long int deviceHandle);
short int __stdcall i_PCIe1516_GetDLLVersion(unsigned long int *version);
short int __stdcall i_PCIe1516_GetDeviceDriverVersion(unsigned long int deviceHandle, unsigned long int *version);
const char * __stdcall pc_PCIe1516_GetLastError(unsigned long int deviceHandle);

short int __stdcall i_PCIe1516_SetLabViewInterrupt(unsigned long int deviceHandle, LVUserEventRef *LabViewEventRef);
short int __stdcall i_PCIe1516_ResetLabViewInterrupt(unsigned long int deviceHandle);


short int __stdcall i_PCIe1516_Read1DigitalInput(unsigned long int deviceHandle, unsigned __int8 channel, unsigned __int8 *value);
short int __stdcall i_PCIe1516_Read4DigitalInputs(unsigned long int deviceHandle, unsigned __int8 port, unsigned __int8 *value);
short int __stdcall i_PCIe1516_Read8DigitalInputs(unsigned long int deviceHandle, unsigned __int8 *value);

short int __stdcall i_PCIe1516_SetDigitalOutputMemoryOn(unsigned long int deviceHandle);
short int __stdcall i_PCIe1516_SetDigitalOutputMemoryOff(unsigned long int deviceHandle);
short int __stdcall i_PCIe1516_Set1DigitalOutputOn(unsigned long int deviceHandle, unsigned __int8 channel);
short int __stdcall i_PCIe1516_Set1DigitalOutputOff(unsigned long int deviceHandle, unsigned __int8 channel);
short int __stdcall i_PCIe1516_Set4DigitalOutputsOn(unsigned long int deviceHandle, unsigned __int8 port, unsigned __int8 mask);
short int __stdcall i_PCIe1516_Set4DigitalOutputsOff(unsigned long int deviceHandle, unsigned __int8 port, unsigned __int8 mask);
short int __stdcall i_PCIe1516_Set8DigitalOutputsOn(unsigned long int deviceHandle, unsigned __int8 mask);
short int __stdcall i_PCIe1516_Set8DigitalOutputsOff(unsigned long int deviceHandle, unsigned __int8 mask);
short int __stdcall i_PCIe1516_SetAllDigitalOutputs(unsigned long int deviceHandle, unsigned __int8 mask);
short int __stdcall i_PCIe1516_Get1DigitalOutputStatus(unsigned long int deviceHandle, unsigned __int8 channel, unsigned __int8 *status);
short int __stdcall i_PCIe1516_Get4DigitalOutputStatus(unsigned long int deviceHandle, unsigned __int8 port, unsigned __int8 *status);
short int __stdcall i_PCIe1516_Get8DigitalOutputsStatus(unsigned long int deviceHandle, unsigned __int8 *status);

short int __stdcall i_PCIe1516_InitAndStartWatchdog(unsigned long int deviceHandle, unsigned short int reloadValue, unsigned __int8 timeBase);
short int __stdcall i_PCIe1516_ReadWatchdogValue(unsigned long int deviceHandle, unsigned short int *value);
short int __stdcall i_PCIe1516_ReadWatchdogStatus(unsigned long int deviceHandle, unsigned __int8 *status, unsigned __int8 *softwareTriggerStatus);
short int __stdcall i_PCIe1516_TriggerWatchdog(unsigned long int deviceHandle);
short int __stdcall i_PCIe1516_StopAndReleaseWatchdog(unsigned long int deviceHandle);

//##protect##"LabViewHeader_End"
//##protect##"LabViewHeader_End"
