//##protect##"FileHeader"
/** @file StdAfx.h
 *
 *  @authors S. Beuque, C. Guinot, J. Krauth, N. Reibel, J. Rose, L. Sartory, S. Weber
 *  @date    Creation: 06.02.2013
 *  @date    $LastChangedDate: 2013-02-18 15:44:16 +0100 (Mo, 18. Feb 2013) $
 *  @version $LastChangedRevision: 3873 $
 *
 *  @par DESCRIPTION
 *  StdAfx.h 
 *
 *  @par LICENCE
 *  @verbatim
 *  Copyright (C) 2009 - 2013 ADDI-DATA GmbH
 *
 *  ADDI-DATA GmbH
 *  Airpark Business Center
 *  Airport Boulevard B210
 *  77836 Rheinmnster
 *  Germany
 *  Tel: +49(0)7229/1847-0    |  Fax: +49(0)7229/1847-200
 *  http://www.addi-data-com  |  info@addi-data.com
 *  @endverbatim
 **/
//##protect##"FileHeader"

#include "..\..\C\Include\PCIe1516.h"
#include "mex.h"
#include "matrix.h"

/* i_PCIe1516_mexGetdeviceDriverVersion */
void mexFunction(int nlhs, mxArray *plhs[], int nrhs, const mxArray *prhs[])
{
	/* Declaration of the arguments of the function */
	INT *returnValue = mxCalloc(1, sizeof(INT));
	HANDLE deviceHandle = 0;
	DWORD DeviceDriverVersion = 0;

	/* Check the number of input and output parameters */
	if (nrhs != 1)
		mexErrMsgIdAndTxt("MyToolbox:i_PCIe1516_GetDeviceDriverVersion:nrhs", "1 input is required.\n");
	if (nlhs != 2)
		mexErrMsgIdAndTxt("MyToolbox:i_PCIe1516_GetDeviceDriverVersion:nlhs", "2 outputs are required.\n");

	/* Acquisition of the input(s) */
	deviceHandle = (HANDLE)(LONG)mxGetScalar(prhs[0]);

	/* Call of the C function */
	*returnValue = i_PCIe1516_GetDeviceDriverVersion(deviceHandle, &DeviceDriverVersion);

	/* Creation of the output(s) */
	plhs[0] = mxCreateNumericArray(0, NULL, mxINT16_CLASS, mxREAL);
	mxSetData(plhs[0], returnValue);  mxSetM(plhs[0], 1);  mxSetN(plhs[0], 1);
	plhs[1] = mxCreateDoubleScalar((double)DeviceDriverVersion);
}
