//##protect##"FileHeader"
/** @file i_PCIe1516_mexInitAndStartWatchdog.c
 *
 *  @authors S. Beuque, C. Guinot, J. Krauth, N. Reibel, J. Rose, L. Sartory, S. Weber
 *  @date    Creation: 06.02.2013
 *  @date    $LastChangedDate: 2013-02-18 15:44:16 +0100 (Mo, 18. Feb 2013) $
 *  @version $LastChangedRevision: 3873 $
 *
 *  @par DESCRIPTION
 *  i_PCIe1516_mexInitAndStartWatchdog MEX file 
 *
 *  @par LICENCE
 *  @verbatim
 *  Copyright (C) 2009 - 2013 ADDI-DATA GmbH
 *
 *  ADDI-DATA GmbH
 *  Airpark Business Center
 *  Airport Boulevard B210
 *  77836 Rheinmnster
 *  Germany
 *  Tel: +49(0)7229/1847-0    |  Fax: +49(0)7229/1847-200
 *  http://www.addi-data-com  |  info@addi-data.com
 *  @endverbatim
 **/
//##protect##"FileHeader"

#include "..\..\C\Include\PCIe1516.h"
#include "mex.h"
#include "matrix.h"

/* i_PCIe1516_mexInitAndStartWatchdog */
void mexFunction(int nlhs, mxArray *plhs[], int nrhs, const mxArray *prhs[])
{
	/* Declaration of the local variables of the function */
	INT *returnValue = mxCalloc(1, sizeof(INT));
	HANDLE deviceHandle = 0;
	WORD reloadValue = 0;
	BYTE timeBase = 0;
//##protect##"i_PCIe1516_mexInitAndStartWatchdog_VariablesDefinition"
//##protect##"i_PCIe1516_mexInitAndStartWatchdog_VariablesDefinition"

	/* Check the number of input and output parameters */
	if (nrhs != 3)
		mexErrMsgIdAndTxt("MyToolbox:i_PCIe1516_mexInitAndStartWatchdog:nrhs", "3 inputs are required.\n");
	if (nlhs != 1)
		mexErrMsgIdAndTxt("MyToolbox:i_PCIe1516_mexInitAndStartWatchdog:nlhs", "1 output is required.\n");

	/* Acquisition of the input(s) */
	deviceHandle = (HANDLE)(LONG)mxGetScalar(prhs[0]);
	reloadValue = (WORD)mxGetScalar(prhs[1]);
	timeBase = (BYTE)mxGetScalar(prhs[2]);

	/* Check of the values of the input parameters */
	if ((reloadValue < 1) || (reloadValue > 0xFFF))
		mexErrMsgIdAndTxt("MyToolbox:i_PCIe1516_mexInitAndStartWatchdog:nlhs", "The reloadValue input must be between 1 and 0xFFF.\n");
	if ((timeBase < 0) || (timeBase > 2))
		mexErrMsgIdAndTxt("MyToolbox:i_PCIe1516_mexInitAndStartWatchdog:nlhs", "The timeBase input must be between 0 and 2.\n");

//##protect##"i_PCIe1516_mexInitAndStartWatchdog_Start"
//##protect##"i_PCIe1516_mexInitAndStartWatchdog_Start"

	/* Call of the C function */
	*returnValue = i_PCIe1516_InitAndStartWatchdog(deviceHandle, reloadValue, timeBase);

	/* Creation of the output(s) */
	plhs[0] = mxCreateNumericArray(0, NULL, mxINT16_CLASS, mxREAL);
	mxSetData(plhs[0], returnValue);  mxSetM(plhs[0], 1);  mxSetN(plhs[0], 1);

//##protect##"i_PCIe1516_mexInitAndStartWatchdog_End"
//##protect##"i_PCIe1516_mexInitAndStartWatchdog_End"
}
