//##protect##"FileHeader"
/** @file i_PCIe1516_mexSet8DigitalOutputsOff.c
 *
 *  @authors S. Beuque, C. Guinot, J. Krauth, N. Reibel, J. Rose, L. Sartory, S. Weber
 *  @date    Creation: 06.02.2013
 *  @date    $LastChangedDate: 2013-02-18 15:44:16 +0100 (Mo, 18. Feb 2013) $
 *  @version $LastChangedRevision: 3873 $
 *
 *  @par DESCRIPTION
 *  i_PCIe1516_mexSet8DigitalOutputsOff MEX file 
 *
 *  @par LICENCE
 *  @verbatim
 *  Copyright (C) 2009 - 2013 ADDI-DATA GmbH
 *
 *  ADDI-DATA GmbH
 *  Airpark Business Center
 *  Airport Boulevard B210
 *  77836 Rheinmnster
 *  Germany
 *  Tel: +49(0)7229/1847-0    |  Fax: +49(0)7229/1847-200
 *  http://www.addi-data-com  |  info@addi-data.com
 *  @endverbatim
 **/
//##protect##"FileHeader"

#include "..\..\C\Include\PCIe1516.h"
#include "mex.h"
#include "matrix.h"

/* i_PCIe1516_mexSet8DigitalOutputsOff */
void mexFunction(int nlhs, mxArray *plhs[], int nrhs, const mxArray *prhs[])
{
	/* Declaration of the local variables of the function */
	INT *returnValue = mxCalloc(1, sizeof(INT));
	HANDLE deviceHandle = 0;
	BYTE mask = 0;
//##protect##"i_PCIe1516_mexSet8DigitalOutputsOff_VariablesDefinition"
//##protect##"i_PCIe1516_mexSet8DigitalOutputsOff_VariablesDefinition"

	/* Check the number of input and output parameters */
	if (nrhs != 2)
		mexErrMsgIdAndTxt("MyToolbox:i_PCIe1516_mexSet8DigitalOutputsOff:nrhs", "2 inputs are required.\n");
	if (nlhs != 1)
		mexErrMsgIdAndTxt("MyToolbox:i_PCIe1516_mexSet8DigitalOutputsOff:nlhs", "1 output is required.\n");

	/* Acquisition of the input(s) */
	deviceHandle = (HANDLE)(LONG)mxGetScalar(prhs[0]);
	mask = (BYTE)mxGetScalar(prhs[1]);

	/* Check of the values of the input parameters */

//##protect##"i_PCIe1516_mexSet8DigitalOutputsOff_Start"
//##protect##"i_PCIe1516_mexSet8DigitalOutputsOff_Start"

	/* Call of the C function */
	*returnValue = i_PCIe1516_Set8DigitalOutputsOff(deviceHandle, mask);

	/* Creation of the output(s) */
	plhs[0] = mxCreateNumericArray(0, NULL, mxINT16_CLASS, mxREAL);
	mxSetData(plhs[0], returnValue);  mxSetM(plhs[0], 1);  mxSetN(plhs[0], 1);

//##protect##"i_PCIe1516_mexSet8DigitalOutputsOff_End"
//##protect##"i_PCIe1516_mexSet8DigitalOutputsOff_End"
}
